/*
*/

#include <gst/gst.h>
#include <gst-phonon/gst-phonon.h>
#include "visualization.h"
#include "audiopath.h"
#include "abstractvideooutput.h"

namespace Phonon
{
namespace Gst
{

Visualization::Visualization( QObject* parent )
	: QObject( parent )
{
	//object = gpho_visualization_new();
}

/* XXX: destructor ? */

int Visualization::visualization() const
{
	return m_visualization;
}

void Visualization::setVisualization( int newVisualization )
{
	m_visualization = newVisualization;
}

void Visualization::setAudioPath( QObject* audioPath )
{
	Q_ASSERT( audioPath );
	AudioPath* ap = qobject_cast<AudioPath*>( audioPath );
	Q_ASSERT( ap );
	m_audioPath = ap;
}

void Visualization::setVideoOutput( QObject* videoOutputIface )
{
	Q_ASSERT( videoOutputIface );
	AbstractVideoOutput* vo = qobject_cast<Phonon::Gst::AbstractVideoOutput*>( videoOutputIface );
	Q_ASSERT( vo );
	m_videoOutput = vo;
}

}} //namespace Phonon::Gst

#include "visualization.moc"
// vim: sw=4 ts=4
